The forum

Missing AutoCAD entry

Removed script?

Author Replies
thanasis57 Tuesday 28 May 2013 at 13:07
thanasis57Anonymous

Some time ago I had installed AutoCAD 2002 on my Ubuntu 10.04 machine. It worked fairly well, except for some minor plotting issues.

Now that got rid of my old PC, I wanted to install it on my new one. However, when I tried to reproduce the steps I had taken the first time, I can no longer find an AutoCAD entry in the install menu.

Has the repsective script been removed by the creators of POL?

Thanks in advance!
Ronin DUSETTE Tuesday 28 May 2013 at 16:24
Ronin DUSETTE
Admin

I dont see it in there anymore. It may have broke, which would have it removed from the repository if it wasnt fixed.

You will need to download and use Ubuntu 12.04 LTS (or one of the newer betas if you like, but I recommend only LTS version) and install POL 4.2.1

Please:
Post debug logs & full computer specs in first post
No private messages for general help, use the forums
Read the wiki, Report broken scripts
thanasis57 Tuesday 28 May 2013 at 16:45
thanasis57Anonymous

Thanks for the reply.

I had set my sources so that Ubuntu downloads POL from its natty repo (http://deb.playonlinux/ natty main), so it is already version 4.2.1.

So I guess AutoCAD was removed from the POL repository...?
Ronin DUSETTE Tuesday 28 May 2013 at 16:49
Ronin DUSETTE
Admin

I dont see one in there. A new script could be written. If you read the documentation section, there is a tutorial for writing scripts.

I cant afford autocad, so I cannot write a script. Thats most likely what happened. Whoever wrote the script isnt around anymore, and no one else is using it with Wine or POL.

There are quite a few capable open-source alternatives for AutoCAD that have native Linux support. It may be worth looking into if writing a script will not work.

Please:
Post debug logs & full computer specs in first post
No private messages for general help, use the forums
Read the wiki, Report broken scripts
thanasis57 Tuesday 28 May 2013 at 17:11
thanasis57Anonymous

OK, thanks for the pointers.

I will look into scripting, but since I'm not very familiar with programming, I will also try copying the wineprefix folder from my old PC.

If I succeed, would it be something worth posting about, or is it a trivial problem?
Ronin DUSETTE Tuesday 28 May 2013 at 17:25
Ronin DUSETTE
Admin

You could totally post if you have success, or even if you have issues moving it over. These forums are always thirsty for info.

You should try to use the PlayOnLinux Vault plugin for this.

PlayOnLinux -> Plugins -> PlayOnLinux Vault

Its for backing up and restoring virtual drives.

Please:
Post debug logs & full computer specs in first post
No private messages for general help, use the forums
Read the wiki, Report broken scripts
thanasis57 Tuesday 28 May 2013 at 19:56
thanasis57Anonymous

I succesfully transferred The AutoCAD2002 wineprefix from my old PC to the new one using PlayOnLinux Vault, but when I first launched I got an error:
Error in POL_Wine_InstallVersion Unable to find version: 1.1.44-DIBEngine

Apparently the script I had used back then made use of a patched version of Wine (1.1.44_DIBEngine), that is not available on the repositories.

I tried the lazy thing and copied the entire directory of that version from my old PC (/home/user/.PlayOnLinux/wine/linux-x86).When I next tried to launch this gave another error. The log file after debug gives:

[05/28/13 20:16:57] - Running wine-1.1.44-DIBEngine acad.exe (Working directory : /home/user/.PlayOnLinux/wineprefix/AutoCAD2002/drive_c/Program Files/AutoCAD 2002)
wine client error:0: version mismatch 402/400.
Your wine binary was not upgraded correctly,
or you have an older one somewhere in your PATH.
Or maybe the wrong wineserver is still running?


I am still trying and will keep posting what I do.

Edited by thanasis57

Ronin DUSETTE Tuesday 28 May 2013 at 21:21
Ronin DUSETTE
Admin

You need to get that 1.1.44_DIBEngine one, or a newer version of Wine that incorporates that patch, which you did, but Im not sure if POL is knowing that its installed.

Is autoCAD 64 bit or 32 bit?

Also, try to re-copy the POL Wine again, just that one particular version, into the folder, overwriting what was already in there. There is a chance that it possibly did not transfer completely or is corrupt.

Please:
Post debug logs & full computer specs in first post
No private messages for general help, use the forums
Read the wiki, Report broken scripts
thanasis57 Tuesday 28 May 2013 at 21:24
thanasis57Anonymous

OK, got it:
When I used the "Create a shortcut" function for this wineprefix, it created this .desktop file:

[Desktop Entry]
Encoding=UTF-8
Name=AutoCAD 2002
Comment=PlayOnLinux
Type=Application
Exec=/usr/share/playonlinux/playonlinux --run "AutoCAD 2002" %F
Icon=/home/user/.PlayOnLinux//icones/full_size/AutoCAD 2002
Name[fr_FR]=AutoCAD 2002
StartupWMClass=acad.exe
Categories=


What was needed was this, which I retrieved from my old installation:
[Desktop Entry]
Name=AutoCAD 2002
Exec=env WINEPREFIX="/home/user/.PlayOnLinux/wineprefix/AutoCAD2002" wine "C:\\\\Program Files\\\\AutoCAD 2002\\\\acad.exe"
Type=Application
StartupNotify=true
Comment=Launch acad.exe
Path=/home/user/.PlayOnLinux/wineprefix/AutoCAD2002/dosdevices/c:/Program Files/AutoCAD 2002/
Icon=/home/user/.local/share/icons/1ca0_acad2002.1.png


Actually, simply the command:
env WINEPREFIX="/home/user/.PlayOnLinux/wineprefix/AutoCAD2002" wine "C:\\\\Program Files\\\\AutoCAD 2002\\\\acad.exe"
from the command line does the trick.

Now it is again up and running.
So briefly, some things had to be done the "dirty" way, i.e.:
-copy-paste the 1.1.44DIBEngine version from the old installation
-copy-paste the old desktop shortcuts

Edited by thanasis57

Ronin DUSETTE Tuesday 28 May 2013 at 21:26
Ronin DUSETTE
Admin

Sweeeeeeeeeeet. Make sure to mark this thread as "Solved". Im sure this will help later on in the future.

Please:
Post debug logs & full computer specs in first post
No private messages for general help, use the forums
Read the wiki, Report broken scripts
thanasis57 Tuesday 28 May 2013 at 21:29
thanasis57Anonymous

You need to get that 1.1.44_DIBEngine one, or a newer version of Wine that incorporates that patch, which you did, but Im not sure if POL is knowing that its installed.

Is autoCAD 64 bit or 32 bit?

Also, try to re-copy the POL Wine again, just that one particular version, into the folder, overwriting what was already in there. There is a chance that it possibly did not transfer completely or is corrupt.

Quote from DJYoshaBYD


Thanks fot the tip. Actually, once I restarted POL, it recognized the 1.1.44_DIBEngine version and showed it in the installed list. It was just a question of issuing the correct command.
Ronin DUSETTE Tuesday 28 May 2013 at 22:05
Ronin DUSETTE
Admin

ah. ok. Ill keep that in mind if I ever see this issue again.

Please:
Post debug logs & full computer specs in first post
No private messages for general help, use the forums
Read the wiki, Report broken scripts
Deleted spam
thanasis57 Monday 9 December 2013 at 11:30
thanasis57Anonymous


Looks like a spam ad comment. Could not find any "discussion", assumming one actually exists! Only a commercial website.

Could vmdcad post the actual link of the "discussion"?

Edited by petch

petch Monday 9 December 2013 at 13:35
petch
Developer

(if you suspect something is spam, don't quote it ;) )